PDA

View Full Version : lisp edit text dimension


num100
04-04-2007, 04:53 PM
lisp ตัวนี้เป็นตัวช่วยในการแก้ไข text ของdimension โดยที่ไม่ต้องใช้ text formatting
เพราะบางทีเราแก้ไข จะมีปํญหาเกี่ยวกับ FONT ของ AUTOCAD บางที่เราใช้พวก
front .shx แก้แล้วมันจะเปลี่ยนไปเป็น FONT ตัวอื่นไปเลย
ลองใช้ดูนะครับ

(defun C:edd()
(setq D (entsel "เลือก text dimension: "))
(setq TX (getstring "\n ป้อนข้อมูลที่ต้องการแก้: "))
(command "dim" "Newtext" TX D "" "exit") )

oil mos
20-08-2009, 03:40 PM
-อยู่ใหนอะครับ:D

techroom1
06-08-2010, 07:21 PM
lisp ตัวนี้เป็นตัวช่วยในการแก้ไข text ของdimension โดยที่ไม่ต้องใช้ text formatting
เพราะบางทีเราแก้ไข จะมีปํญหาเกี่ยวกับ FONT ของ AUTOCAD บางที่เราใช้พวก
front .shx แก้แล้วมันจะเปลี่ยนไปเป็น FONT ตัวอื่นไปเลย
ลองใช้ดูนะครับ

(defun C:edd()
(setq D (entsel "เลือก text dimension: "))
(setq TX (getstring "\n ป้อนข้อมูลที่ต้องการแก้: "))
(command "dim" "Newtext" TX D "" "exit") )


ใช้ยังไงครับ เอาcodeนี้ไปใส่ที่ใหน หรือ พิมพ์เป็น command line ครับ
สนใจ แต่ใช้ไม่เป็นจริงๆๆครับ

78967896
08-08-2010, 11:57 PM
เขียน ด้วย Notepad ก็ ได้ แล้ว เซพเป็น .lsp
เวลาใช้ ก็ โหลด ที่ TOOL >AUTOLISP>LOADAPPCATION>
lisp นี้ มัน (defun C:edd()
แปล ว่า C= comand
พิม edd
แต่ ผม ไม่รู้ นะ มัน ไง ต่อ